clear all;close all;clc;
% recordFile = 'C:/Data/test.rtsa';
% do something to connect to SL-BLR-10242
recordFile = 'C:/Users/abhijith.bg/expTone_991Hz.wv';
blockName = 'Block_Spectran_V6B_0';
% address = 'http://192.168.22.32:54664/';%'http://localhost:54664/';

RTSASuite = AaroniaHTTP('http://192.168.22.32:54664/');

%Set Record File, Start replaying and wait for running
RTSASuite.setFileParameter( blockName ,'', 'filename', recordFile);
RTSASuite.startStreaming();
% pause(1);

%Get multiple IQ Data Packets
packetCount = 10;
IQData = [];

for i = 1:packetCount
IQPacket = RTSASuite.getSamplePacket();
IQData = [IQData RTSASuite.getIQFromPacket(IQPacket)];
end
IQDataArr = IQData(:);
figure();plot(imag(IQData(:,1)),'b.-');
hold on; plot(imag(IQData(:,2)),'r*'); legend('1st block','2nd block');
figure(); plot(imag(IQDataArr(1:length(IQData)*2)));title('2 blocks are concatenated');

% figure();UTL_fftdBplot(IQDataArr,122.88e6,'spectral plot','b');grid on;

% whos IQData;